/***************************************************************************
                          maximumfunction.h  -  description
                             -------------------
    begin                : Tue Nov 12 2002
    copyright            : (C) 2002 by Fungmeista
    email                : mizunoami44@sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MAXIMUMFUNCTION_H
#define MAXIMUMFUNCTION_H

#include "mathfunction.h"

/**
  *\author Fungmeista
  *\note This numerically calculates the maximum point on the interval.  This means that for non-continuous functions it will not return correct values for the maximum
  *      since the maximum may not be defined.
  */
class MaximumFunction : public MathFunction
{
	public: 
		MaximumFunction(BasicGraph *,int);
		~MaximumFunction();

	protected:
		void calculate_and_draw(QPainter *);
		void draw_stored(QPainter *);

	private:
		double max_x_point, max_y_point;
};

#endif
